From 9ebc640b0ddc9a66b0374da494d8bf2286d88ce0 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Thu, 8 Mar 2012 16:42:15 -0500
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/changelog                                   |   10 +++++++++
 debian/compat                                      |    2 +-
 debian/control                                     |    4 +-
 debian/patches/00list                              |    2 -
 ....dpatch => install_python_into_usr_share.patch} |   22 ++++++++++----------
 ..._shebang.dpatch => remove_module_shebang.patch} |    7 +----
 debian/patches/series                              |    2 +
 debian/rules                                       |    5 +--
 debian/source/format                               |    1 +
 9 files changed, 31 insertions(+), 24 deletions(-)
 delete mode 100644 debian/patches/00list
 rename debian/patches/{install_python_into_usr_share.dpatch => install_python_into_usr_share.patch} (56%)
 rename debian/patches/{remove_module_shebang.dpatch => remove_module_shebang.patch} (97%)
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/debian/changelog b/debian/changelog
index a931dba..f6eb7ba 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+convertall (0.4.2-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Note: patch install_python_into_usr_share was updated with "quilt
+    refresh" to make them apply cleanly.
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Thu, 08 Mar 2012 16:40:42 -0500
+
 convertall (0.4.2-1) unstable; urgency=low
 
   * New upstream release.
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index 00ea5ee..b97927b 100644
--- a/debian/control
+++ b/debian/control
@@ -2,8 +2,8 @@ Source: convertall
 Section: x11
 Priority: optional
 Maintainer: William Grant <william@qeuni.net>
-Build-Depends: debhelper (>= 5.0.0), dpatch, python, python-qt4 (>= 2.4), python-support (>= 0.5.3)
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 9), python, python-qt4 (>= 2.4), python-support (>= 0.5.3)
+Standards-Version: 3.9.3
 XS-Python-Version: current, >= 2.4
 Homepage: http://convertall.bellz.org/
 
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index c03f56b..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,2 +0,0 @@
-install_python_into_usr_share.dpatch
-remove_module_shebang.dpatch
diff --git a/debian/patches/install_python_into_usr_share.dpatch b/debian/patches/install_python_into_usr_share.patch
similarity index 56%
rename from debian/patches/install_python_into_usr_share.dpatch
rename to debian/patches/install_python_into_usr_share.patch
index 0ec5059..a6dd44b 100644
--- a/debian/patches/install_python_into_usr_share.dpatch
+++ b/debian/patches/install_python_into_usr_share.patch
@@ -1,22 +1,22 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## install_python_into_usr_share.dpatch by William Grant <william@qeuni.net>
-##
-## DP: As they're arch. independent, python modules should be installed to /usr/share.
+From: William Grant <william@qeuni.net>
+Subject: As they're arch. independent, install python modules to /usr/share.
 
-@DPATCH@
-diff -urNad convertall-0.4.0~/install.py convertall-0.4.0/install.py
---- convertall-0.4.0~/install.py	2007-04-15 10:28:07.000000000 +1000
-+++ convertall-0.4.0/install.py	2007-04-15 10:28:26.000000000 +1000
-@@ -214,7 +214,7 @@
+---
+ install.py |    3 +--
+ 1 file changed, 1 insertion(+), 2 deletions(-)
+
+--- a/install.py
++++ b/install.py
+@@ -225,7 +225,7 @@
          if testSpell:
              spellCheck(['aspell -a', 'ispell -a'])
  
 -    pythonPrefixDir = os.path.join(prefixDir, 'lib', progName)
 +    pythonPrefixDir = os.path.join(prefixDir, 'share', progName)
      pythonBuildDir = os.path.join(buildRoot, pythonPrefixDir[1:])
+ 
      if os.path.isdir('source'):
-         compileall.compile_dir('source', ddir=os.path.join(prefixDir, 'source'))
-@@ -246,7 +246,6 @@
+@@ -270,7 +270,6 @@
          dataPrefixDir = os.path.join(prefixDir, 'share', progName)
          dataBuildDir = os.path.join(buildRoot, dataPrefixDir[1:])
          print '  Copying data files to %s' % dataBuildDir
diff --git a/debian/patches/remove_module_shebang.dpatch b/debian/patches/remove_module_shebang.patch
similarity index 97%
rename from debian/patches/remove_module_shebang.dpatch
rename to debian/patches/remove_module_shebang.patch
index 58cd320..872bad3 100644
--- a/debian/patches/remove_module_shebang.dpatch
+++ b/debian/patches/remove_module_shebang.patch
@@ -1,9 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## remove_module_shebang.dpatch by William Grant <william@qeuni.net>
-##
-## DP: Remove shebang lines from modules that don't deserve them.
+From: William Grant <william@qeuni.net>
+Subject: Remove shebang lines from modules that don't deserve them.
 
-@DPATCH@
 diff -urNad convertall-0.4.2~/source/cmdline.py convertall-0.4.2/source/cmdline.py
 --- convertall-0.4.2~/source/cmdline.py	2008-01-21 03:05:41.000000000 +1100
 +++ convertall-0.4.2/source/cmdline.py	2008-07-26 20:02:20.000000000 +1000
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..7bf7d75
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,2 @@
+install_python_into_usr_share.patch
+remove_module_shebang.patch
diff --git a/debian/rules b/debian/rules
index 07c38b9..31e6c70 100755
--- a/debian/rules
+++ b/debian/rules
@@ -9,10 +9,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpatch/dpatch.make
 
 configure: configure-stamp
-configure-stamp: patch-stamp
+configure-stamp:
 	dh_testdir
 
 	touch configure-stamp
@@ -25,7 +24,7 @@ build-stamp: configure-stamp
 
 	touch build-stamp
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.9.1

